Package org.eclipse.emf.cdo.view

# Interface CDOViewProvider

All Known Subinterfaces:
  `CDOViewProvider.CDOViewProvider2`

All Known Implementing Classes:
  `AbstractCDOViewProvider`, `CDONet4jViewProvider`, `CDONet4jViewProvider.JVM`, `CDONet4jViewProvider.SSL`, `CDONet4jViewProvider.TCP`, `CDONet4jViewProvider.WS`, `CDONet4jViewProvider.WSS`, `ManagedContainerViewProvider`

public interface CDOViewProvider
Capable of opening a `CDOView` on a target repository, defined by a URI. A regular expression and the priority are used to determine the most suitable provider.

Since:
  2.0
Author:
  Victor Roldan Betancort

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`CDOViewProvider.CDOViewProvider2`
A `view provider` with advanced `view URI` and `path` information methods.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_PRIORITY`

## Method Summary

Modifier and Type
Method
Description
`int`
`getPriority()`
Returns the priority of this provider.
`String`
`getRegex()`
Returns the regular expression that determines if the provider can handle certain URI
`URI`
`getResourceURI(CDOView view, String path)`
`CDOView`
`getView(URI uri, ResourceSet resourceSet)`
Receives a URI and returns an opened `CDOView` against the repository.
`boolean`
`matchesRegex(URI uri)`
Checks if the URI matches with the regular expression of this provider

## Field Details

### DEFAULT_PRIORITY

static final int DEFAULT_PRIORITY

See Also:
  - Constant Field Values

## Method Details

### getPriority

int getPriority()
Returns the priority of this provider. Usually used to choose between several `CDOViewProviders` that match the same repository URI. A higher priority value is preferred in that decision.

### getRegex

String getRegex()
Returns the regular expression that determines if the provider can handle certain URI

### matchesRegex

boolean matchesRegex(URI uri)
Checks if the URI matches with the regular expression of this provider

### getView

CDOView getView(URI uri, ResourceSet resourceSet)
Receives a URI and returns an opened `CDOView` against the repository.

### getResourceURI

URI getResourceURI(CDOView view, String path)

Since:
  4.0